$.ajax({
    type: "GET",
    url: "../../Controlador/Utilidades/Notifi_Editar_Ruta.php",
    dataType: "json",

    success: function(response) {
        if (response.hasOwnProperty('update')) {
            var rutaUpdate = response.update;

            Swal.fire({
                title: 'RUTA ' + rutaUpdate,
                text: '¡Editada Correctamente!',
                icon: 'success',
                showConfirmButton: false,
                timer: 1800
            });

            console.log("Ruta con ID: "+ rutaUpdate +" editada correctamente");

            $.ajax({
                type: "GET",
                url: "../../Controlador/Utilidades/POST_Eliminar_RutaUpdate.php",
                dataType: "json",
                success: function(response) {
                    console.log("-> Sesión eliminada para Ruta: ", response.ruta_delate);
                },
                error: function(xhr, status, error) {
                    console.error("-> Error eliminando sesión: ", error);
                }
            });

        } else {
            console.log("-> Error desde Notifi_Editar_Ruta.php: ", response.error);
        }
    },

    error: function(xhr, status, error) {
        Swal.fire({
            title: 'Error',
            text: 'Hubo un error al obtener la sesión. Por favor, inténtalo de nuevo más tarde.',
            icon: 'error',
            showConfirmButton: true
        });

        console.error("-> Error AJAX (Notifi_Editar_Ruta.php):", error);
    }
});
